On 2018-03-12 08:02, Thomas Stüfe wrote:
Hi all,

maybe someone has an idea:

I build on a freshly installed Linux instance (MX17), using gcc 6.3.0.

I get this error:

Creating support/modules_cmds/jdk.pack/unpack200 from 7 file(s)
In function ‘read_dir’:
warning: ‘readdir_r’ is deprecated [-Wdeprecated-declarations]
      if (readdir_r(dirp, entry, &p) == 0) {
In file included from
/usr/include/dirent.h:183:12: note: declared here
  extern int readdir_r (DIR *__restrict __dirp,

I digged and was not able to pin it to any recent change. I also think  I
never successfully built on this box, so it may be my environment.

Could it be that my gcc is too new?
Hi Thomas,

I also saw this some days ago, when testing a new CFLAG change with multiple gcc versions. I suspect it might be time to add a new DISABLED_WARNINGS_gcc, and open a bug on the corresponding component team(s).

As usual, the workaround is "configure --disable-warnings-as-errors".


Thanks! Thomas

Reply via email to